HP OfficeJet Pro 6960 Printer System Requirements

Windows system requirements

  • Windows 10, the minimum system requirement is 1 GHz processor, 1GB (32-bit) or 2 GB (64-bit) RAM, 2GB free disk space, browsers like internet explorer, Firefox and Chrome. The other system requirements are Adobe Acrobat Reader 5.0 or later version, USB Port and DVD drive or internet connection. The recommended system requirement is 1.5 GHz processor, 2GB RAM, 2.5GB free disk space.
  • Windows 8 , the minimum system requirement is 1 GHz processor, 1GB RAM, 2GB free disk space, browsers like internet explorer, Firefox and Chrome. The other system requirements are Adobe Acrobat Reader 5.0 or later version, USB Port and DVD drive or internet connection . the recommended system requirement is 1.5 GHz processor, 2GB RAM, 2 GB free disk space.
  • In Windows 7, the minimum system requirement is 1 GHz processor, 1GB RAM, 2GB free disk space, browsers like internet explorer, Firefox and Chrome. The other system requirements are Adobe Acrobat Reader 5.0 or later version, USB Port and DVD drive or internet connection. The recommended system requirement is 1.5 GHz processor, 2GB RAM, 2GB free disk space
  • In Windows Vista, the minimum system requirement is 800 MHz processor, 512 MB RAM, 2GB free disk space, browsers like internet explorer, Firefox and Chrome. The other system requirements are Adobe Acrobat Reader 5.0 or later version. the recommended system requirement is 1GHz processor, 2GB RAM, 2 GB free disk space

Linux system requirements

  • The Linux kernel 2.4.19 and above versions are considered to be the minimum system requirements. It is recommended to use the version 2.6.x
  • The GNU software tools are required to build from source code which includes the ANSI C compiler, ANSI C++ compiler and POSIX compliant environment.
  • The libsub minimum requirement is 0.1.8 or higher versions The GPL Ghost script minimum requirements is 7.05 or higher versions. The minimum requirements of Foomatic is 3.0.2 or higher versions
  • The minimum system requirements are Qt 3.x or higher for UI toolkit, PyQt 3.14 or higher for Qt wrapper for Python, Python 2.2 or higher and python-devel (Python 2.3+ for fax support). Report lab (optional-provides fax cover page support). CUPS DDK 1.2 or higher for dynamic PPD support

OS X system requirements

  • The printer is compatible with Mac operating system versions like OS X v10.11 El Capitan, OS X v10.10 Yosemite, OS X v10.9 Mavericks The minimum free disk space required is 1GB, the USB port minimum requirement is Hi-speed  USB and other requirement is the internet access
123-hp-printer-support